NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder Class Reference

Represents a NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder used to reverse normals for specified shell elements. More...

Inheritance diagram for NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder:
NXOpen.Builder NXOpen.CAE.ModelCheck.ISelectionBuilder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  DisplayTypeValue { Arrows, SolidFaceColors }
 indicates how display type value is defined More...
 

Public Member Functions

unsafe void DisplayNormals ()
 Display normals of NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder.SelectionList More...
 
unsafe NXOpen.CAE.FEElement[] ReverseNormals ()
 Reverses normals specified in NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder.SelectionList and returns those elements whose normals were reversed successfully. More...
 
unsafe NXOpen.CAE.CaeGroup CreateInconsistentElementEdgeGroup ()
 Creates inconsistent element edge group More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe
NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder.DisplayTypeValue 
DisplayType [get, set]
 Returns or sets the display type More...
 
unsafe int NegativeFaceColor [get, set]
 Returns or sets the negative face color More...
 
unsafe int PositiveFaceColor [get, set]
 Returns or sets the positive face color More...
 
unsafe
NXOpen.SelectTaggedObjectList 
SelectionList [get]
 Returns the selected objects to be checked. More...
 
unsafe
NXOpen.CAE.ModelCheck.CheckScope 
CheckScopeOption [get, set]
 Returns or sets the check scope setting More...
 
- Properties inherited from NXOpen.CAE.ModelCheck.ISelectionBuilder
NXOpen.CAE.ModelCheck.CheckScope CheckScopeOption [get, set]
 Returns or sets the check scope setting More...
 

Detailed Description

Represents a NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder used to reverse normals for specified shell elements.

You can reverse shell element normals by using either Builder.Commit or NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder.ReverseNormals . The difference between these two methods is Builder.Commit reverses the normals and updates normal display, but it does not return the shell elements which were reversed successfully. NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder.ReverseNormals reverses normals and returns the shell elements which were reversed successfully. Both of the methods are only available in fem context.

To create a new instance of this class, use NXOpen.CAE.ModelCheckManager.CreateReverseShellElementNormalBuilder

Created in NX8.5.0

Member Enumeration Documentation

indicates how display type value is defined

Enumerator
Arrows 
SolidFaceColors 

Member Function Documentation

unsafe NXOpen.CAE.CaeGroup NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder.CreateInconsistentElementEdgeGroup ( )

Creates inconsistent element edge group

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
unsafe void NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder.DisplayNormals ( )

Display normals of NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder.SelectionList

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.FEElement [] NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder.ReverseNormals ( )

Reverses normals specified in NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder.SelectionList and returns those elements whose normals were reversed successfully.

This method will only reverse the normals for shell elements in the current work fem part.

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns

Property Documentation

unsafe NXOpen.CAE.ModelCheck.CheckScope NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder.CheckScopeOption
getset

Returns or sets the check scope setting

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder.DisplayTypeValue NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder.DisplayType
getset

Returns or sets the display type

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe int NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder.NegativeFaceColor
getset

Returns or sets the negative face color

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe int NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder.PositiveFaceColor
getset

Returns or sets the positive face color

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.SelectTaggedObjectList NXOpen.CAE.ModelCheck.ReverseShellElementNormalBuilder.SelectionList
get

Returns the selected objects to be checked.

The objects must be NXOpen.CAE.Mesh or NXOpen.CAE.FEElement

Created in NX8.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.